<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.i18n-test"
             id="bundle"/>

<%
java.util.TreeSet set = new java.util.TreeSet();
for ( java.util.Enumeration enum = bundle.getKeys(); enum.hasMoreElements(); )
  {
  set.add(enum.nextElement());
  }
%>

<HTML>
<HEAD>
  <TITLE>Examples of I18N Custom Tag Library Tag Usage</TITLE>
</HEAD>
<BODY>

This page displays all key/value pairs in the bundle.

locale = <b><%= pageContext.getResponse().getLocale() %></b><br>
charset = <b><%= pageContext.getResponse().getCharacterEncoding() %></b><br>

<H2>WebApp translations</H2>
<TABLE>
<%
int index = 0;
for ( java.util.Iterator iter = set.iterator(); iter.hasNext(); )
  {
  String key = (String)iter.next();
  if ( index++ % 2 == 0 )
    {
    %>
    <TR BGCOLOR="#e0e0e0">
    <%
    }
  else
    {
    %>
    <TR>
    <%
    }
    %>
  <TD><%= key %></TD><TD><%= bundle.getString(key) %></TD>
  </TR>
  <%
  }
%>
</TABLE>

</BODY>
</HTML>
