<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<HTML>
<HEAD><TITLE>Lookup by URL example</TITLE></HEAD>
<BODY>
<%@ taglib uri="http://jakarta.apache.org/taglibs/jndi-1.0" prefix="jndi" %>

<jndi:useContext 
    id='test'
    scope='page' 
    url='<%=request.getParameter("url")%>' 
/>

The attributes of contextroot="<jsp:getProperty name="test" property="nameInNamespace"/>"
and name="<%=request.getParameter("name")%>"

<jndi:lookup 
  contextRef='test' 
  name='<%=request.getParameter("name")%>' 
  id="obj"
/>

<jndi:lookup 
  contextRef='test' 
  name='<%=request.getParameter("name")%>' 
  id="obj2"
  type="java.io.File"
/> <%-- perhaps re-do lookup so the variable is AT_BEGIN and the body content is
        evaluated if an appropriate lookup succeeds? --%>

<jndi:lookup 
  contextRef='test' 
  name='<%=request.getParameter("name")%>' 
  id="obj3"
  type="javax.naming.directory.DirContext"
/> 

<table border="true">
<th>name</th><th>Value</th>
    <tr>
      <td>class</td>
      <td><jsp:getProperty name="obj" property="class" /></td>
    </tr>
<% if (obj2 != null) { %>
    <tr>
      <td>absolutePath</td>
      <td><jsp:getProperty name="obj" property="absolutePath" /></td>
    </tr>
    <tr>
      <td>canonicalPath</td>
      <td><jsp:getProperty name="obj" property="canonicalPath" /></td>
    </tr>
    <tr>
      <td>name</td>
      <td><jsp:getProperty name="obj" property="name" /></td>
    </tr>
    <tr>
      <td>parent</td>
      <td><jsp:getProperty name="obj" property="parent" /></td>
    </tr>
    <tr>
      <td>path</td>
      <td><jsp:getProperty name="obj" property="path" /></td>
    </tr>
<% } %>
<% 
  if (obj3 != null) {
%>
<jndi:forEachAttribute ref='obj3' id='attr'>
  <jndi:getAttribute ref='attr' id='val' multivalue='iterate'>
    <tr>
      <td><jsp:getProperty name='attr' property='ID'/></td>
      <td><%=val%></td>
    </tr>
  </jndi:getAttribute>
</jndi:forEachAttribute>
    <tr>
      <td>Distinguised name</td>
      <td><jsp:getProperty name="obj3" property="nameInNamespace"/></td>
    </tr>
<% } %>
</table>
</BODY>
</HTML>
