<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html lang="en">
<!-- $Id: index.jsp,v 1.3 2001/07/24 13:44:20 jstrachan Exp $ -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>XTags Sample WebApp</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>
<body>

<h1>XTags Sample WebApp</h1>

<p>Welcome to the sample web application for the XTags JSP Tag library.
</p>

<h2>XPath Wizard</h2>

<p>Let the <a href="xpath_wizard.jsp" target="xpath.wizard">XPath Wizard</a> 
help you learn the XPath  syntax.
The XPath Wizard lets you try out XPath expressions on any XML document anywhere 
on the internet and view the result as XML or text.</p>

<h2>General Examples</h2>

<p>These examples demonstrate the use of the XTags tag library.</p>

<table>
<tr>
  <td><a href="hello_rss.jsp">Hello World and RSS</a></td>
  <td><a href="hello_rss.html">source</a></td>
</tr>
<tr>
  <td><a href="simple_rss.jsp">Simple RSS Example</a></td>
  <td><a href="simple_rss.html">source</a></td>
</tr>
<tr>
  <td><a href="stock_quote.jsp">Stock Quote Example</a></td>
  <td><a href="stock_quote.html">source</a></td>
</tr>
<tr>
  <td><a href="periodic_table.jsp">Periodic Table Example</a></td>
  <td><a href="periodic_table.html">source</a></td>
</tr>
<tr>
  <td><a href="periodic_table2.jsp">Periodic Table Example 2</a></td>
  <td><a href="periodic_table2.html">source</a></td>
</tr>
<tr>
  <td><a href="much_ado.jsp">Much Ado Example</a></td>
  <td><a href="much_ado.html">source</a></td>
</tr>
</table>

<h2>XSLT Examples</h2>

<p>These examples demonstrate the use of the &lt;xtags:style&gt; tag to perform 
full XSLT styling of a document.</p>

<table>
<tr>
  <td><a href="style/styledemo.jsp">XSLT demo #1</a></td>
  <td><a href="style/styledemo.html">source</a></td>
</tr>
<tr>
  <td><a href="style/styledemo2.jsp">XSLT demo #2</a></td>
  <td><a href="style/styledemo2.html">source</a></td>
</tr>
<tr>
  <td><a href="style/styledemo3.jsp">XSLT demo #3</a></td>
  <td><a href="style/styledemo3.html">source</a></td>
</tr>
<tr>
  <td><a href="style/styledemo4.jsp">XSLT demo #4</a></td>
  <td><a href="style/styledemo4.html">source</a></td>
</tr>
<tr>
  <td><a href="style/styledemo5.jsp">XSLT demo #5</a></td>
  <td><a href="style/styledemo5.html">source</a></td>
</tr>
</table>

<br />

<p>For more details please see the <a href="http://jakarta.apache.org/taglibs/">Jakarta Taglibs</a></p>

</body>
</html>

