<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>RSS Styling Demo</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>

<body>

<h1>Simple RSS Demo</h1>

<p>This demo is created by querying an RSS source and formatting the XML returned.</p>


<xtags:parse url="http://p.moreover.com/cgi-local/page?c=Java%20news&o=rss"/>

<xtags:forEach select="rss/channel">
  <table cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
    <tr bgcolor="#dddddd">
      <td>
        <b>
          <xtags:valueOf select="title"/>
        </b>
        &nbsp;
        <xtags:forEach select="image">
          <xtags:element name="img">
            <xtags:attribute name="src"><xtags:valueOf select="url"/></xtags:attribute>
            <xtags:attribute name="width"><xtags:valueOf select="width"/></xtags:attribute>
            <xtags:attribute name="height"><xtags:valueOf select="height"/></xtags:attribute>
            <xtags:attribute name="alt"><xtags:valueOf select="title"/></xtags:attribute>
          </xtags:element>
        </xtags:forEach>
      </td>
    </tr>
    <xtags:forEach select="item">
      <tr bgcolor="#eeeeee">
        <td>
          <xtags:variable id="url" type="string" select="link"/>
          <a href="<%= url %>"><xtags:valueOf select="title"/></a>
        </td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>
          <xtags:valueOf select="description"/>
        </td>
      </tr>
    </xtags:forEach>
  </table>
</xtags:forEach>

</body>
</html>
