<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml"/>

<xsl:param name="name"/>
<xsl:param name="time"/>

<xsl:template match="nitf">
  <html>
  <table cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
    
    <tr bgcolor="#cccccc">
      <td>
        Hello there <b><xsl:value-of select="$name"/></b>
      </td>
    </tr>
    <tr bgcolor="#cccccc">
      <td>
        The time is currently <b><xsl:value-of select="$time"/></b>
      </td>
    </tr>
    <tr bgcolor="#dddddd">
      <td>
        <xsl:apply-templates select="body/body.head"/>
      </td>
    </tr>
  </table>
  </html>
</xsl:template>

<xsl:template match="body.head">
  <xsl:apply-templates select="hedline/hl1"/> 
  <xsl:apply-templates select="byline"/>
  <xsl:value-of select="dateline/location/text()"/>
</xsl:template>

<xsl:template match="hl1">
  <h1><xsl:value-of select="."/></h1>
</xsl:template>

<xsl:template match="byline">
  <h2><b><xsl:value-of select="text()"/></b><font size="-2"><i><xsl:value-of select="byttl"/></i></font></h2>
</xsl:template>

</xsl:stylesheet>
