<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Test Add Example</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>

<body>

<h1>Test Add Example</h1>

<p>This demo tests the use of the &lt;xtags:add&gt; tag to add XML fragments to an XML document.</p>


<hr/>

<xtags:parse>
  <a x="1" y="1">
    <b>
      <c d="123" e="456">
        <foo>abcd</foo>
      </c>
    </b>
    <d x="33" y="99">
      <foo>whoo</foo>
      <e x="234" y="4912">
        <foo>def</foo>
      </e>
    </d>
  </a>
</xtags:parse>


<h2>Before Additions</h2>

<xtags:copyOf select="/"/>

<hr/>


<h2>After Additions</h2>


<xtags:forEach select="//foo">
  <xtags:add>
    <something>to add
        <with even="more">sub nodes and the like</with>
        <empty/>
    </something>
  </xtags:add>
</xtags:forEach>

<xtags:forEach select="//b">
  <xtags:add>
    Some text
  </xtags:add>
</xtags:forEach>

<xtags:forEach select="//b">
  <xtags:add>
    <atag/>
    And some text
  </xtags:add>
</xtags:forEach>


<xtags:copyOf select="/"/>


<hr/>

</body>
</html>
