<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Test Context Example</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>

<body>

<h1>Test Context Example</h1>

<p>This demo tests the use of the &lt;xtags:context&gt; tag to simplify path expressions.</p>


<hr/>

<xtags:parse>
  <a>
    <b>
      <c d="123" e="456">
        <foo>abcd</foo>
      </c>
    </b>
  </a>
</xtags:parse>


<h2>Using context tag</h2>

<xtags:context select="a/b/c">
<pre>
d   =  <xtags:valueOf select="@d"/>
e   =  <xtags:valueOf select="@e"/>
foo =  <xtags:valueOf select="foo"/> 
</pre>
</xtags:context>

<h2>Not using context tag</h2>

<pre>
d   =  <xtags:valueOf select="a/b/c/@d"/>
e   =  <xtags:valueOf select="a/b/c/@e"/>
foo =  <xtags:valueOf select="a/b/c/foo"/>
</pre>

</body>
</html>
