<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Test Conditions</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>

<body>

<h1>Test conditions</h1>

<hr/>

<xtags:parse>
<foo colour="red">
  <type>abc</type>
</foo>
</xtags:parse>


<xtags:forEach select="/foo">

<xtags:if test=".[type='abc']">
Found type of 'abc'
</xtags:if>

<hr/>

<xtags:if test="type='abc'">
Found type of 'abc' using abbreviated pattern
</xtags:if>

<hr/>

<xtags:if test=".[type='def']">
Failed!! Shouldn't find anything
</xtags:if>

<hr/>

<xtags:if test="type='def'">
Failed!! Shouldn't find anything
</xtags:if>

<hr/>

<xtags:if test="name()='foo'">
Name is foo
</xtags:if>

<hr/>

<xtags:if test="@colour='red'">
Colour is red!
</xtags:if>

<hr/>

<xtags:if test="foo">
Failed - I have no foo children
</xtags:if>

<hr/>

<xtags:if test=".[type]">
I have a child type!
</xtags:if>

<hr/>

<xtags:choose>
  <xtags:when test="foo">
    Failed! I don't have any foo children
  </xtags:when>
  <xtags:otherwise>
    Worked, I don't have any foo children
  </xtags:otherwise>
</xtags:choose>

</xtags:forEach>

<hr/>

</body>
</html>
