package com.taglib.authentication;

import javax.servlet.ServletConfig;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import javax.servlet.ServletException;
import java.io.IOException;

public class LogoutServlet extends javax.servlet.http.HttpServlet {

  private String goodbyePage;
  private com.taglib.authentication.UserSessionManager sessionMgr = com.taglib.authentication.UserSessionManager.getInstance();

  public void init (javax.servlet.ServletConfig config) throws javax.servlet.ServletException {
    goodbyePage = config.getInitParameter("goodbyePage");
    if (goodbyePage == null)
      throw new javax.servlet.ServletException("The goodbyePage init parameter"
				 + " must be specified.");
  }

  public void doPost (javax.servlet.http.HttpServletRequest request,
		      javax.servlet.http.HttpServletResponse response)
    throws javax.servlet.ServletException, IOException {
    javax.servlet.http.HttpSession session = request.getSession(true);
    sessionMgr.removeSessionUser(session);
    com.taglib.authentication.UserSessionManager.doRedirect(request, response, goodbyePage);
  }
}
