/*
 * Created by IntelliJ IDEA.
 * User: mark
 * Date: Nov 3, 2002
 * Time: 11:52:42 AM
 * To change template for new class use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package com.taglib.weblog;

import com.taglib.authentication.UserBean;

import java.util.Date;

public class Entry {
  private long id;
  private String title, text;
  private Date created, lastModified;
  private UserBean author;

  static final public long INVALID_ID = -1;

  public Entry () {
    this.id = INVALID_ID;
    this.title = "";
    this.text = "";
    this.created = null;
    this.lastModified = null;
    this.author = null;
  }

  public long getId () {
    return id;
  }

  public void setId (long id) {
    this.id = id;
  }

  public String getTitle () {
    return title;
  }

  public void setTitle (String title) {
    this.title = title;
  }

  public String getText () {
    return text;
  }

  public void setText (String text) {
    this.text = text;
  }

  public Date getCreated () {
    return created;
  }

  public void setCreated (Date created) {
    this.created = created;
  }

  public Date getLastModified () {
    return lastModified;
  }

  public void setLastModified (Date lastModified) {
    this.lastModified = lastModified;
  }

  public UserBean getAuthor () {
    return author;
  }

  public void setAuthor (UserBean author) {
    this.author = author;
  }
}
