<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jstl/xml" %>

<c:catch var="exception">
  <c:import var="rssFeed" url="${param.feed}"/>

  <x:parse var="rss" xml="${rssFeed}"/>

  <font class="blogTitle">
    <a href="<x:out select="$rss//*[name()='channel']/*[name()='link'][1]"/>"
      ><x:out select="$rss//*[name()='channel']/*[name()='title'][1]" escapeXml="false"/></a>
  </font>

  <x:forEach select="$rss//*[name()='item']">
    <li> <a href="<x:out select="./*[name()='link']"/>"
          ><x:out select="./*[name()='title']" escapeXml="false"/></a>
  </x:forEach>
</c:catch>

<c:if test="${not empty exception}">
  <font class="errorMessage">
    News feed <b><c:out value="${cookie.rssPref.value}" default="slashdot"/></b>
    is currently unavailable.
  </font>
</c:if>
