<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<html>
<head>
<title><c:out value="${param.title}" default="JSTL Blog"/></title>
<style type="text/css">
.blogDate
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 16;
	font-weight : bold;
	color : #0F7ACA;
	background-color: #ffffff;
}
.blogTitle
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 12;
	font-weight : bold;
	background-color: #ffffff;
}
.blogText, a.blogText
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 11;
	background-color: #ffffff;
}
.blogPosted
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 10;
    color : #0F7ACA;
	background-color: #ffffff;
    text-decoration: none;
}
.blogControl, a.blogControl
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 10;
    color : #ff0000;
	background-color: #ffffff;
    text-decoration: none;
}
.boxTitle
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 16;
	font-weight : bold;
	color : #000000;
	background-color: #0F7ACA;
}
.boxBody, a.boxBody
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 11;
	background-color: #ffffff;
}
.boxForm, a.boxForm
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 12;
    color : #ffffff;
	background-color: #666666;
}
.code
{
	font-family : Courier New, Courier, fixed;
	font-size : 11;
    color: #000000;
	background-color: #ffffff;
}
.errorMessage, a.errorMessage
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 10;
    color : #ff0000;
}
.annotation
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 10;
    color : #000000;
}
.fineprint
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-size : 8;
    color : #000000;
}
</style>
</head>

<body bgcolor="#DCEC13" text="Black" link="#0F7ACA" vlink="#FF0000" alink="#0F7ACA">
<table border="0" width="100%" cellspacing="1" cellpadding="1" bgcolor="#000000">
<tr><td>
<table border="0" width="100%" cellspacing="0" cellpadding="8" bgcolor="#ffffff">
<tr><td align="left" valign="center" rowspan="2">
<font face="Arial" size="+3" color="black"><b>&lt;%&nbsp;<font color="red">JSTL Blog</font>&nbsp;%&gt;</b></font>
</td>
<td align="right" valign="top" class="blogControl">
  <tldc:ifLogin status="false">
    <a href="<c:url value="/login.jsp"/>">[login]</a>
  </tldc:ifLogin>
  <tldc:ifLogin status="true">
    <a href="<c:url value="/secure/logout.jsp"/>">[logout]</a>
  </tldc:ifLogin>
</td></tr>
<tr>
<td align="right" valign="bottom" class="blogTitle">
An example application for demonstrating JSTL.
</td>
</tr>
</table></td></tr></table><br>

