<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>

<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="JSTL Blog"/>
</jsp:include>

<tldc:box title="News &amp; Views">
<tldc:forRecentDateEntries var="entryList" days="1">
  <c:forEach items="${entryList}" var="blogEntry" varStatus="status">
      <c:if test="${status.first}">
        <tr><td align="left" class="blogDate">
          <c:out value="${blogEntry.created}"/>
        </td></tr>
      </c:if>
      <tr><td align="left" class="blogTitle">
        <c:out value="${blogEntry.title}" escapeXml="false"/>
      </td></tr>
    <tr><td align="left" class="blogText">
      <c:out value="${blogEntry.text}" escapeXml="false"/>
    </td></tr>
  </c:forEach>
</tldc:forRecentDateEntries>
</tldc:box>

