<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>

<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="New Weblog Entry"/>
</jsp:include>

<jsp:useBean id="messages" scope="session" class="com.taglib.util.MessageBean"/>

<tldc:fetchEntry id="${param.id}" var="entry" scope="request"/>

<tldc:box title="Post New Weblog Entry">
<center>
<c:forEach var="msg" items="${sessionScope.messages.messageList}" varStatus="status">
  <c:if test="${status.first}">
    <br><font class="errorMessage">
  </c:if>
  <c:out value="${msg}"/><br>
  <c:if test="${status.last}">
    </font><br>
  </c:if>
</c:forEach>
<% messages.clear(); %>

<table class="boxForm" cellspacing="10" cellpadding="0" border="0">
<form action="<c:url value="/updateEntry"/>" method="POST">
<input type="hidden" name="id" value="<c:out value="${param.id}"/>">
<tr>
  <td align="right">Title:</td>
    <td align="left">
      <input type="text" name="title" value="<c:out value="${entry.title}"/>"size="80">
    </td>
</tr>
<tr>
  <td align="right">Entry:</td>
    <td align="left">
      <textarea name="entry" cols="80" rows="10"><c:out value="${entry.text}"/></textarea>
    </td>
</tr>
<tr>
  <td align="right">Created:</td>
  <td align="left"><c:out value="${entry.created}"/></td>
</tr>
<tr>
  <td align="right">Last Modified:</td>
  <td align="left"><c:out value="${entry.lastModified}"/></td>
</tr>
<tr><td align="center" colspan="2"><input type="submit" value="Update Entry"></td></tr>
</form>

<form action="<c:url value="/deleteEntry"/>" method="POST">
<input type="hidden" name="id" value="<c:out value="${param.id}"/>">
<tr><td align="center" colspan="2"><input type="submit" value="Delete Entry"></td></tr>
</form>

</table>

</center>

</tldc:box>
<jsp:include page="/include/footer.jsp" flush="false"/>