/*
 *
* Copyright (c) 2003 Sun Microsystems, Inc.  All rights reserved.  U.S. 
 * Government Rights - Commercial software.  Government users are subject 
 * to the Sun Microsystems, Inc. standard license agreement and 
 * applicable provisions of the FAR and its supplements.  Use is subject 
 * to license terms.  
 * 
 * This distribution may include materials developed by third parties. 
 * Sun, Sun Microsystems, the Sun logo, Java and J2EE are trademarks 
 * or registered trademarks of Sun Microsystems, Inc. in the U.S. and 
 * other countries.  
 * 
 * Copyright (c) 2003 Sun Microsystems, Inc. Tous droits reserves.
 * 
 * Droits du gouvernement americain, utilisateurs gouvernementaux - logiciel
 * commercial. Les utilisateurs gouvernement aux sont soumis au contrat de 
 * licence standard de Sun Microsystems, Inc., ainsi qu'aux dispositions 
 * en vigueur de la FAR (Federal Acquisition Regulations) et des 
 * supplements a celles-ci.  Distribue par des licences qui en 
 * restreignent l'utilisation.
 * 
 * Cette distribution peut comprendre des composants developpes par des 
 * tierces parties. Sun, Sun Microsystems, le logo Sun, Java et J2EE 
 * sont des marques de fabrique ou des marques deposees de Sun 
 * Microsystems, Inc. aux Etats-Unis et dans d'autres pays.
 * 
 */


package converterApp;

import java.math.*;

public class ConverterBean{

    private BigDecimal yenRate;
    private BigDecimal euroRate;
    private BigDecimal yenAmount;
    private BigDecimal euroAmount;    

    /** Creates new ConverterBean */
    public ConverterBean() {
    	yenRate = new BigDecimal ("110.97");
    	euroRate = new BigDecimal (".0078");
        yenAmount = new BigDecimal("0.0");
        euroAmount = new BigDecimal("0.0");
    }

    public BigDecimal getYenAmount () {
        return yenAmount;
    }

    public void setYenAmount(BigDecimal amount) {
        yenAmount = amount.multiply(yenRate);
        yenAmount =  yenAmount.setScale(2,BigDecimal.ROUND_UP);
    }
    
    public BigDecimal getEuroAmount () {
        return euroAmount;
    }

    public void setEuroAmount (BigDecimal amount) {
        euroAmount = amount.multiply(euroRate);
        euroAmount =  euroAmount.setScale(2,BigDecimal.ROUND_UP);
    }

}
