<%--
 * Copyright (c) 2003 Sun Microsystems, Inc.  All rights reserved.  U.S. 
 * Government Rights - Commercial software.  Government users are subject 
 * to the Sun Microsystems, Inc. standard license agreement and 
 * applicable provisions of the FAR and its supplements.  Use is subject 
 * to license terms.  
 * 
 * This distribution may include materials developed by third parties. 
 * Sun, Sun Microsystems, the Sun logo, Java and J2EE are trademarks 
 * or registered trademarks of Sun Microsystems, Inc. in the U.S. and 
 * other countries.  
 * 
 * Copyright (c) 2003 Sun Microsystems, Inc. Tous droits reserves.
 * 
 * Droits du gouvernement americain, utilisateurs gouvernementaux - logiciel
 * commercial. Les utilisateurs gouvernement aux sont soumis au contrat de 
 * licence standard de Sun Microsystems, Inc., ainsi qu'aux dispositions 
 * en vigueur de la FAR (Federal Acquisition Regulations) et des 
 * supplements a celles-ci.  Distribue par des licences qui en 
 * restreignent l'utilisation.
 * 
 * Cette distribution peut comprendre des composants developpes par des 
 * tierces parties. Sun, Sun Microsystems, le logo Sun, Java et J2EE 
 * sont des marques de fabrique ou des marques deposees de Sun 
 * Microsystems, Inc. aux Etats-Unis et dans d'autres pays.
 *'
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page import="converterApp.ConverterBean" %>
<%@ page contentType="text/html" %>
      
<html>
<head>

 <title>Currency Conversion Application</title>
</head>

<body bgcolor="white">

<jsp:useBean id="converter" class="converterApp.ConverterBean"/> 

<h1><FONT FACE="ARIAL" SIZE=12>Currency Conversion Application JSP page</FONT></h1>
<hr>
<p><FONT FACE="ARIAL" SIZE=10>Enter an amount to convert:</p></FONT>
<form method="get">
<input type="text" name="amount" size="25">
<br>
<p>
<input type="submit" value="Submit">
<input type="reset" value="Reset">
</form>


<c:if test="${!empty param.amount && fn:length(param.amount) > 0}" >

  <p><FONT FACE="ARIAL" SIZE=10>${param.amount} dollars are
  
  <jsp:setProperty name="converter" property="yenAmount" value="${param.amount}" />
  ${converter.yenAmount} Yen. 

  <p>${param.amount} Yen are

  <jsp:setProperty name="converter" property="euroAmount" value="${param.amount}" />
  ${converter.euroAmount} Euro. </FONT>

</c:if>

</body>
</html>

