package sequoia;

/**
 * Signals that JDBC Driver could not be found or instatiated
 */
public class DriverInstantiationError extends Error {
  public DriverInstantiationError() {
    super();
  }

  public DriverInstantiationError(String message) {
    super(message);
  }

  public DriverInstantiationError(Throwable cause) {
    super(cause);
  }

  public DriverInstantiationError(String message, Throwable cause) {
    super(message, cause);
  }
}