package sequoia.test;

import sequoia.*;
import java.sql.*;

public class HordeTest {
  public static void test() throws SQLException {
    System.err.println("Constructing PeonFactory");
    PeonFactory pf = new PeonFactory("sequoia.PooledConnectionFactory");
    System.err.println("PeonFactory ready and waiting");
    for(int i = 0; i < 250; i++) {
      Peon peon = pf.newPeon();
      System.err.println(i + ". peon ready to serve, mylord");
      boolean result = peon.executeQuery("SELECT COUNT(*) FROM syscat.tables");
      if(result) {
        ResultSet rs = peon.getLastResultSet();
        System.err.println(i + "RS ready for pickup");
        if(rs.next()) {
          System.err.println(rs.getString(1));
        }
        System.err.println(i + "RS cleared");
      }
      peon.unsummon();
      System.err.println(i + ". Peon unsummoned");
    }
  }
  public static void main(String[] args) throws SQLException {
    HordeTest.test();
  }
}