package sequoia;

/**
 * Signals that JDBC Driver could not be found or instatiated
 */
public class ConnectionFactoryInstantiationError extends Error {
  public ConnectionFactoryInstantiationError() {
    super();
  }

  public ConnectionFactoryInstantiationError(String message) {
    super(message);
  }

  public ConnectionFactoryInstantiationError(Throwable cause) {
    super(cause);
  }

  public ConnectionFactoryInstantiationError(String message, Throwable cause) {
    super(message, cause);
  }
}