package sequoia.tags;

import sequoia.PeonFactory;
import sequoia.Peon;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;

import javax.servlet.jsp.JspWriter;
import java.io.Writer;

public class RowHeadTag extends javax.servlet.jsp.tagext.TagSupport {
  protected String cellSeparator = "";;

  public int doEndTag() {
    System.out.println("RowHead End");
    try {
      boolean result = ((Boolean)pageContext.getAttribute("resultType")).booleanValue();
      Peon peon = ((Peon)pageContext.getAttribute("peon"));
      JspWriter out = pageContext.getOut();
      if(result) {
        ResultSet rs = peon.getLastResultSet();
        printAsHTMLTable(rs, out);
      }
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }
    return EVAL_PAGE;
  }

  public void printAsHTMLTable(ResultSet rs, Writer out) throws SQLException, java.io.IOException {
    System.out.println("Datahead");
    System.out.println(cellSeparator);
    ResultSetMetaData rsmd = rs.getMetaData();
    for(int i = 0; i < rsmd.getColumnCount()-1; i++) {
      out.write(rsmd.getColumnName(i+1) + cellSeparator);
    }
    out.write(rsmd.getColumnName(rsmd.getColumnCount()));
    System.out.println("/Datahead");
  }

  public void setCellSeparator(String separator) {
    System.out.println("me be set");
    this.cellSeparator = separator;
  }
}