package sequoia.test;

import sequoia.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

public class SimpleTestServlet extends HttpServlet {

  protected void doGet(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, java.io.IOException {

    try {
      PeonFactory pf = new PeonFactory("sequoia.PooledConnectionFactory");
      Peon peon = pf.newPeon();
      boolean result = peon.executeQuery("SELECT COUNT(*) FROM syscat.tables");
      if(result) {
        ResultSet rs = peon.getLastResultSet();
        if(rs.next()) {
          System.out.println(rs.getString(1));
        }
      }
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }

  }

  protected void doPost(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, java.io.IOException {

  }
}