<%@ page import="java.io.File" errorPage="err.jsp" %>
<%@ taglib uri="gnat" prefix="gnat" %>
<%-- 
    Use the Servlet 2.2+ temporary working directory to demo some file stuff.  
    Makes it easier because the user doesn't have to configure anything and I 
    don't have to worry about file system and user permissions for the demo.
  
    See section 3.7 of Servlet 2.3 spec for description of this attribute.
--%>
<%! File tempdir = null; %>   

<%  tempdir = (File)application.getAttribute("javax.servlet.context.tempdir"); %>
<html>
<head>
<title>Gnat JSP Taglib</title>
<link type="text/css" href="examples.css" rel="stylesheet">
</head>
<body>
<h1>Gnat Taglib: deltree</h1>

<p>Deletes a directory and all its contents.
</p>

<p>example 1 - delete a dir under the Web app's tempdir</p>
<p class="tag">&lt;gnat:deltree dir="&lt;%= dirname %&gt;" /&gt;</p>
<br />Note: this example makes the directory first, using the mkdir tag, so you don't get an exception if the dir doesn't exist.
<% String dirname = tempdir.toString() + "/foo2dir"; %> 
<gnat:mkdir dir="<%= dirname %>"/>

<gnat:deltree dir="<%= dirname %>"/>

<%-- If you want to invoke an exception, just for testing... --%>
<%-- <gnat:deltree dir="I_dont_exist_dir"/> --%>

<%-- If you want to invoke another exception with a different cause and message, just for testing... --%>
<%-- <gnat:deltree dir=""/> --%>
</body>
</html>
