<%@ page import="java.io.File" %>
<%@ page import="java.util.Date" %>
<%@ taglib uri="gnat" prefix="gnat" %>
<%-- 
    Use the Servlet 2.2+ temporary working directory to demo some file stuff.  
    Makes it easier because the user doesn't have to configure anything and I 
    don't have to worry about file system and user permissions for the demo.
  
    See section 3.7 of Servlet 2.3 spec for description of this attribute.
--%>
<%! File tempdir = null; %>   

<%  tempdir = (File)application.getAttribute("javax.servlet.context.tempdir"); %>
<html>
<head>
<title>Gnat JSP Taglib</title>
<link type="text/css" href="examples.css" rel="stylesheet"> 
</head>
<body>
<h1>Gnat Taglib: echo</h1>

<p>The Echo tag writes a message to the JSP output stream.  The Echo tag can also 
take body content instead of a <i>message</i> attribute.  The <i>file</i> and 
<i>append</i> attributes are used to write messages to a file.</p>

<p>example 1 - echo a simple message to JSPWriter out.</p>
<p class="tag">&lt;gnat:echo message=""/&gt; : <gnat:echo message="Hello, World!"/></p>

<%-- Until JRun and Jasper escape String literals nested in custom tag attributes
     properly, it's best to declare them as variables and then use their variable
     names rather than the literal strings.  The multitude of double quotations
     seems to confuse JRun (3.0, SP1) and Jasper (3.3.dev), though JRun can deal
     with them if the quotes around the whole attribute are removed.
--%>
<%-- Name of file to create in demo --%>
<% String echoLog = tempdir+"/echoAppendLog.txt"; %>
<% Date time = new Date(); %>
<% String messageString = "Hello World. The time is: "+time+System.getProperty("line.separator"); %>

<p>example 2 - echo and append to logfile</p>
<p class="tag">&lt;gnat:echo message="<%= messageString %>" append="true" file="<%= echoLog %>" /&gt;

<gnat:echo message="<%= messageString %>" append="true" file="<%= echoLog %>" /></p>

<p>example 3 - echo to logfile, do not append</p>
<% String echoLog2 = tempdir+"/echoNoAppendLog.txt"; %>

<p class="tag">&lt;gnat:echo message="<%= messageString %>" file="<%= echoLog2 %>" /&gt;

<gnat:echo message="<%= messageString %>" file="<%= echoLog2 %>" /></p>

<p>example 4 - echo to JSP output, no attributes</p>

<p class="tag">&lt;gnat:echo&gt;<br />
Hello, here is a message! (and a dynamic date: &lt;%= time %&gt;).
<br />&lt;/gnat:echo&gt;</p>
<gnat:echo>
Hello, here is a message (and a dynamic date: <%= time %>).
</gnat:echo>
</body>
</html>
