<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Periodic Table Demo 2</title>
<link rel="stylesheet" href="examples.css" type="text/css">
</head>
<body>

<%-- This example demonstrates that the body can be parsed --%>
<%-- if no URL is specified                                --%>
<xtags:parse id="doc">      
  <%@ include file="periodic_table.xml" %>
</xtags:parse>

<xtags:variable id="count" select="count(//ATOM)" type="Number"/>

<xtags:forEach id="atom" select="//ATOM">

  <p>
    Atom 

    <xtags:valueOf select="NAME"/> 

    <xtags:valueOf select="SYMBOL"/>

<%--
    The following breaks on Tomcat 4.0.b3 due to setting property
    of type Object with a String value.

    <xtags:valueOf select="SYMBOL" context="<%= atom %>"/>
--%>

    of <%= count.intValue() %> atoms

  </p>

</xtags:forEach>

</body>
</html>
