<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ page import="javax.servlet.*" %>
<%@ page import="javax.servlet.http.*" %>
<%@ page import="java.util.*" %>
  <head>
    <title>Snoop</title>
  </head>
  <body>

    <h2>HttpServletRequest Properties</h2>

    <table width="100%" cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
      <tr bgcolor="#dddddd">
        <th>Property</th>
        <th>Value</th>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getAuthType()</td>
        <td><%= request.getAuthType() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getContextPath()</td>
        <td><%= request.getContextPath() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getPathInfo()</td>
        <td><%= request.getPathInfo() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getPathTranslated()</td>
        <td><%= request.getPathTranslated() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getQueryString()</td>
        <td><%= request.getQueryString() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getRequestedSessionId()</td>
        <td><%= request.getRequestedSessionId() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getRequestURI()</td>
        <td><%= request.getRequestURI() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getServletPath()</td>
        <td><%= request.getServletPath() %></td>
      </tr>
    </table>


    <h2>ServletRequest Properties</h2>

    <table width="100%" cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
      <tr bgcolor="#dddddd">
        <th>Property</th>
        <th>Value</th>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getCharacterEncoding()</td>
        <td><%= request.getCharacterEncoding() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getContentType()</td>
        <td><%= request.getContentType() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getLocale()</td>
        <td><%= request.getLocale() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getProtocol()</td>
        <td><%= request.getProtocol() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getRemoteAddr()</td>
        <td><%= request.getRemoteAddr() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getRemoteHost()</td>
        <td><%= request.getRemoteHost() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getScheme()</td>
        <td><%= request.getScheme() %></td>
      </tr>
      <tr bgcolor="#eeeeee">
        <td>getServerName()</td>
        <td><%= request.getServerName() %></td>
      </tr>
    </table>

    <h2>HTTP Headers</h2>

    <table width="100%" cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
      <tr bgcolor="#dddddd">
        <th>Property</th>
        <th>Value</th>
      </tr>
      <%
        for ( Enumeration enum = request.getHeaderNames(); enum.hasMoreElements(); ) {
          String headerName = (String) enum.nextElement();
      %>
      <tr bgcolor="#eeeeee">
        <td><%= headerName %></td>
        <td><%= request.getHeader( headerName ) %></td>
      </tr>
      <%
        }
      %>
    </table>

    <h2>Request Attributes</h2>

    <table width="100%" cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
      <tr bgcolor="#dddddd">
        <th>Property</th>
        <th>Value</th>
      </tr>
      <%
        for ( Enumeration enum = request.getAttributeNames(); enum.hasMoreElements(); ) {
          String attributeName = (String) enum.nextElement();
      %>
      <tr bgcolor="#eeeeee">
        <td><%= attributeName %></td>
        <td><%= request.getAttribute( attributeName ) %></td>
      </tr>
      <%
        }
      %>
    </table>


    <h2>Request Parameters</h2>

    <table width="100%" cellspacing="0" cellpadding="2" bgcolor="#000000" border="1">
      <tr bgcolor="#dddddd">
        <th>Property</th>
        <th>Value</th>
      </tr>
      <%
        for ( Enumeration enum = request.getParameterNames(); enum.hasMoreElements(); ) {
          String attributeName = (String) enum.nextElement();
      %>
      <tr bgcolor="#eeeeee">
        <td><%= attributeName %></td>
        <td><%= request.getParameter( attributeName ) %></td>
      </tr>
      <%
        }
      %>
    </table>


   </body>
</html>
