<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Test &lt;xtags:variable&gt;</title>
<link rel="stylesheet" href="../examples.css" type="text/css">
</head>

<body>

<h1>Test &lt;xtags:variable&gt;</h1>

<xtags:parse uri="tree.xml"/>

<table>
  <tr>
    <td>valueOf</td>
    <td>
      <xtags:valueOf select="count(//folder)"/>
    </td>
  </tr>
  <tr>
    <td>format-number</td>
    <td>
      <xtags:valueOf select="format-number(count(//folder))"/>
    </td>
  </tr>
  <tr>
    <td>variable</td>
    <td>
      <xtags:variable id="foo" select="count(//folder)"/>
      <%= foo %>
    </td>
  </tr>
  <tr>
    <td>number variable</td>
    <td>
      <xtags:variable id="foo2" type="number" select="count(//folder)"/>
      <%= foo2.intValue() %>
    </td>
  </tr>
  <tr>
    <td>java.lang.Number variable</td>
    <td>
      <xtags:variable id="foo3" type="java.lang.Number" select="count(//folder)"/>
      <%= foo3.intValue() %>
    </td>
  </tr>
  <tr>
    <td>java.lang.Double variable</td>
    <td>
      <xtags:variable id="foo4" type="java.lang.Double" select="count(//folder)"/>
      <%= foo4.intValue() %>
    </td>
  </tr>
</table>

<hr>

</body>
</html>
