<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<c:set var="rssPreference"><c:out value="${cookie.rssPref.value}" default="slashdot"/></c:set>
<c:choose>
  <c:when test="${rssPreference eq 'theserverside'}">
    <c:set var="feed" value="http://www2.theserverside.com/rss/theserverside-1.0.rdf"/>
  </c:when>
  <c:when test="${rssPreference eq 'scifistorm'}">
    <c:set var="feed" value="http://scifistorm.org/scifistorm.rdf"/>
  </c:when>
  <c:otherwise>
    <c:set var="feed" value="http://slashdot.org/slashdot.rdf"/>
  </c:otherwise>
</c:choose>

<c:import url="/content/rss.jsp">
  <c:param name="feed" value="${feed}"/>
</c:import>

<div align="right" class="blogControl"><a href="<c:url value="/setPrefs.jsp"/>">[prefs]</a></div>
