<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="Welcome"/>
</jsp:include>

<jsp:useBean id="user" scope="session" class="com.taglib.authentication.UserBean"/>

<tldc:box title="Greetings">
  <fmt:bundle basename="com.taglib.weblog.Greeting">
    <fmt:message key="com.taglib.weblog.Greeting.greeting">
      <fmt:param value="${user.fullName}"/>
    </fmt:message>
  </fmt:bundle>
</tldc:box>

<jsp:include page="/include/footer.jsp" flush="false"/>
