<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="c_rt" uri="http://java.sun.com/jstl/core_rt" %>

<c_rt:set var="numLocales" value="<%= java.text.NumberFormat.getAvailableLocales() %>"/>

<c_rt:set var="dateLocales" value="<%= java.text.DateFormat.getAvailableLocales() %>"/>

<table>
<tr><th>Number Locale</th></tr>
<c:forEach var="nLocale" items="${numLocales}">
  <tr><td><c:out value="${nLocale}"/></td></tr>
</c:forEach>
</table>

<table>
<tr><th>Date Locale</th></tr>
<c:forEach var="dLocale" items="${dateLocales}">
  <tr><td><c:out value="${dLocale}"/></td></tr>
</c:forEach>
</table>
