<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="Login"/>
</jsp:include>

<tldc:box title="Please log in...">
<center>

<c:if test="${not empty param.retry}">
  <br>
  <font class="errorMessage">
  Invalid username/password combination.
  </font>
  <br><br>
</c:if>

<form action="<c:url value="/login"/>" method="POST">
<table class="boxForm" cellspacing="10" cellpadding="0" border="0">
<tr>
  <td align="right">Username:</td>
    <td align="left">
      <input type="text" name="username" size="16" value="<c:out value="${param.username}" default=""/>">
    </td>
</tr>
<tr>
  <td align="right">Password:</td>
    <td align="left">
      <input type="password" name="password" size="20">
    </td>
</tr>
<tr><td colspan="2" align="center"><input type="submit" value="Log In"></td></tr>
</form>
</table>

</center>
</tldc:box>

<jsp:include page="/include/footer.jsp" flush="false"/>