<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="New Weblog Entry"/>
</jsp:include>

<jsp:useBean id="messages" scope="session" class="com.taglib.util.MessageBean"/>

<tldc:box title="Post New Weblog Entry">
<center>
<c:forEach var="msg" items="${sessionScope.messages.messageList}" varStatus="status">
  <c:if test="${status.first}">
    <font class="errorMessage">
  </c:if>
  <c:out value="${msg}"/><br>
  <c:if test="${status.last}">
    </font>
  </c:if>
</c:forEach>
<% messages.clear(); %>

<table class="boxForm" cellspacing="10" cellpadding="0" border="0">
<form action="<c:url value="/newEntry"/>" method="POST">
<tr>
  <td align="right">Title:</td>
    <td align="left">
      <input type="text" name="title" size="80">
    </td>
</tr>
<tr>
  <td align="right">Entry:</td>
    <td align="left">
      <textarea name="entry" cols="80" rows="10"></textarea>
    </td>
</tr>
<tr><td align="center" colspan="2"><input type="submit" value="Post Entry"></td></tr>
</form>
</table>

</center>

</tldc:box>

<jsp:include page="/include/footer.jsp" flush="false"/>