<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="Welcome"/>
</jsp:include>

<jsp:useBean id="user" scope="session" class="com.taglib.authentication.UserBean"/>

<tldc:box title="Greeting">
  <fmt:bundle basename="com.taglib.weblog.Greeting"
              prefix="com.taglib.weblog.Greeting.">
    <fmt:message key="greeting">
      <fmt:param value="${user.fullName}"/>
    </fmt:message>
    <br>
    <br>
    <center>
      <a href="<c:url value='/index.jsp'/>"><fmt:message key="return"/></a>
    </center>
  </fmt:bundle>
</tldc:box>

<jsp:include page="/include/footer.jsp" flush="false"/>
