<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="tldc" uri="/tldc" %>
<jsp:include page="/include/header.jsp" flush="false">
  <jsp:param name="title" value="Set Preferences"/>
</jsp:include>

<tldc:box title="Set Preferences">
<center>

<c:set var="rssPref"><c:out value="${cookie.rssPref.value}" default="slashdot"/></c:set>
<c:set var="tzPref"><c:out value="${cookie.tzPref.value}" default="CST"/></c:set>

<form action="<c:url value="/setPrefs"/>" method="POST">
<table class="boxForm" cellspacing="10" cellpadding="0" border="0">
<tr>
  <td rowspan="3" align="right">Timezone:</td>
  <td rowspan="3" align="left">
    <select name="timezone">
      <option value="EST"<c:if test="${tzPref eq 'EST'}"> selected</c:if>>EST
      <option value="CST"<c:if test="${tzPref eq 'CST'}"> selected</c:if>>CST
      <option value="MST"<c:if test="${tzPref eq 'MST'}"> selected</c:if>>MST
      <option value="PST"<c:if test="${tzPref eq 'PST'}"> selected</c:if>>PST
    </select>
  </td>
  <td rowspan="3">&nbsp;&nbsp;&nbsp;</td>
  <td rowspan="3" align="right" valign="center">Interests:</td>
  <td align="left">
    <input type="radio" name="rssFeed"
      value="slashdot"<c:if test="${rssPref eq 'slashdot'}"> checked</c:if>>News for Nerds
  </td>
</tr>
<tr>
  <td align="left">
    <input type="radio" name="rssFeed"
      value="theserverside"<c:if test="${rssPref eq 'theserverside'}"> checked</c:if>>J2EE
  </td>
</tr>
<tr>
  <td align="left">
    <input type="radio" name="rssFeed"
      value="scifistorm"<c:if test="${rssPref eq 'scifistorm'}"> checked</c:if>>Science Fiction
  </td>
</tr>
<tr><td colspan="5" align="center"><input type="submit" value="Set Preferences"></td></tr>
</form>
</table>

</center>
</tldc:box>

<jsp:include page="/include/footer.jsp" flush="false"/>
