package sequoia.tags;

import sequoia.PeonFactory;
import sequoia.Peon;
import javax.servlet.jsp.JspException;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;

import javax.servlet.jsp.JspWriter;
import java.io.Writer;

import javax.servlet.jsp.tagext.BodyContent;

import org.apache.log4j.Logger;

public class RowTemplateTag extends javax.servlet.jsp.tagext.BodyTagSupport {
  static Logger logger = Logger.getLogger(RowTemplateTag.class);

  public int doAfterBody() throws JspException {
    try {
      logger.debug(this.getClass() + ":AfterBody");
      String s = getBodyContent().getString();
      pageContext.setAttribute("rowtemplate", s);
      logger.debug(s);

    } catch (Exception e) {
      throw new JspException(e.getMessage(), e);
    }

    return SKIP_BODY;
  }
}