<%@ page contentType="text/html; charset=windows-1250" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<fmt:requestEncoding value="windows-1250" />
<%@ taglib uri="sequoia-taglib.tld" prefix="sequoia" %>

<HTML>
<HEAD>
    <TITLE>DB2WWW (SeQuoia 2.0)</TITLE>

    <meta contentType="text/html; charset=windows-1250"/>
    <!-- IE 6.0 doesn't support "white-space:pre"
    (Mozilla and Opera 7 do!), so modify pre selector -->
    <STYLE type="text/css">
      pre.data {
        display: inline;
        font-family: "Lucida Console", Fixedsys, "Courier";
      }
      .datahead {
        text-align: center;
        font-weight: bold;
        background: #EEEEEE;
        font-family: "Arial CE", Arial, helvetica;
        font-size: x-small;
      }
      table.errormsg {
        font-family: "Lucida Console", Fixedsys, "Courier";
        font-size: x-small;
        background: #FFDDDD;
      }

      table.lastquery {
        font-family: "Lucida Console", Fixedsys, "Courier";
        font-size: x-small;
        background: #EEEEEE;
      }

    </STYLE>
</HEAD>
<BODY>

<h1>Dopytovacie rozhranie IBM DB2</h1>

<c:set var="sqlQuery" value="${param['sqlQuery']}" />
<sequoia:recodeVar var="sqlQuery" encoding="windows-1250" />

<c:if test="${not empty sqlQuery}">
  <jsp:useBean id="sqlQuery" type="java.lang.String" />

  <FORM method='POST' LANG="sk">
    <textarea name='sqlQuery' rows=10 cols=75 style='width: 100%'><%= sqlQuery %></textarea><br>
    <CENTER>
      <INPUT TYPE="SUBMIT" name="submit" value="Odosla dopyt">
    </CENTER>
  </FORM>

  <c:catch var="e">
    <sequoia:query query="<%= sqlQuery %>" />
  </c:catch>

  <c:choose>
    <c:when test="${not empty e}">
        <table class="errormsg" border=1 width='100%'>
          <tr><td>
          <jsp:getProperty name="e" property="message" />
          </td></tr>
        </table>
    </c:when>
    <c:otherwise>
      Poet ovplyvnench riadkov: <sequoia:affectedrows />

      <c:choose>
        <c:when test="${resultType == true}">
          <table border=1>
          <sequoia:resultset>
            <tr class="datahead">
            <td>
            <sequoia:rowhead>
            <sequoia:celldelimiter></td><td></sequoia:celldelimiter>
            </sequoia:rowhead>
            </td>
            </tr>

             <sequoia:rowtemplate>
               <tr><sequoia:row /></tr>
             </sequoia:rowtemplate>

             <sequoia:celltemplate>
               <td><pre class='data'><sequoia:cell /></pre></td>
             </sequoia:celltemplate>

           </sequoia:resultset>
          </table>
        </c:when>
      </c:choose>
    </c:otherwise>
  </c:choose>


  <sequoia:cleanup />
</c:if>

<hr>
<div align='right'>
  <small>
     DB2WWW S<sub>e</sub>Q<sub>uoia</sub> 2.0, (C) <a href='mailto:sk.szm@r.novotny'>Rbert Novotn</a>
  </small>
</div>

</BODY>
</HTML>