<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<fmt:requestEncoding value="windows-1250" />
<%@ page contentType="text/html; charset=windows-1250" %>

<HTML>
<HEAD>
    <TITLE>DB2WWW (SeQuoia 2.0)</TITLE>

    <meta contentType="text/html; charset=windows-1250"/>
    <!-- IE 6.0 doesn't support "white-space:pre"
    (Mozilla and Opera 7 do!), so modify pre selector -->
    <STYLE type="text/css">
      pre.data {
        display: inline;
        font-family: "Lucida Console", Fixedsys, "Courier";
      }
      .datahead {
        text-align: center;
        font-weight: bold;
        background: #EEEEEE;
        font-family: "Arial CE", Arial, helvetica;
        font-size: x-small;
      }
      table.errormsg {
        font-family: "Lucida Console", Fixedsys, "Courier";
        font-size: x-small;
        background: #FFDDDD;
      }

      table.lastquery {
        font-family: "Lucida Console", Fixedsys, "Courier";
        font-size: x-small;
        background: #EEEEEE;
      }

    </STYLE>
</HEAD>
<BODY>


<h1>Dopytovacie rozhranie IBM DB2</h1>

<c:catch var="e">

  <sql:setDataSource dataSource="jdbc/DB2-vyucba2" />
  <sql:query var="resultSet" sql="${param['sql_query']}" />

</c:catch>

<FORM method='POST' LANG="sk">
  <textarea name='sql_query' rows=10 cols=75
  style='width: 100%'><c:out value="${param['sql_query']}" /></textarea><br>
  <CENTER>
    <INPUT TYPE="SUBMIT" name="submit" value="Odosla dopyt">
  </CENTER>
</FORM>

Posledn odoslan dopyt:
<table width="100%" border=1 class="lastquery">
  <tr>
    <td>
      <c:out value="${param['sql_query']}" />
    </td>
  </tr>
</table>

<!--   "vykonna cast" -->

<c:choose>
<c:when test="${not empty e}">
  <jsp:useBean id="e" type="java.lang.Throwable" />

  <%
    if(e.getMessage().indexOf("CLI0101E") == -1) {
  %>
      <table class="errormsg" border=1 width='100%'>
        <tr><td>
        <jsp:getProperty name="e" property="message" />
        </td></tr>
      </table>
  <%
    } else {
  %>
    Vsledok:<br>
    <pre class="data">Opercia bola spen.</pre>
  <%
    }
  %>
</c:when>
<c:otherwise>
  <br>
  Poet ovplyvnench riadkov:
  <c:out value="${resultSet.rowCount}" />
</c:otherwise>
</c:choose>

<table border="1">
  <tr class="datahead">
  <c:forEach var="rowhead" items="${resultSet.columnNames}">
      <td><c:out value="${rowhead}"/></td>
  </c:forEach>
  </tr>

  <c:forEach var="row" items="${resultSet.rowsByIndex}">
    <tr>
      <c:forEach var="cell" items="${row}">
      <td><pre class='data'><c:out value="${cell}" /></pre></td>
      </c:forEach>
    </tr>
  </c:forEach>
</table>


</BODY>
</HTML>