package sequoia.tags;

import sequoia.PeonFactory;
import sequoia.Peon;

import javax.servlet.jsp.tagext.BodyContent;

import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspTagException;
import java.io.Writer;

public class CellDelimiterTag extends javax.servlet.jsp.tagext.BodyTagSupport {
  public int doAfterBody() {
    try {
      System.out.println("CellDelimiter AfterBody");
      BodyContent body = getBodyContent();
      JspWriter out = body.getEnclosingWriter();
      out.println(body.getString());

      RowHeadTag parent = (RowHeadTag)findAncestorWithClass(this, RowHeadTag.class);

      System.out.println("Setting separator: " + body.getString());
      if (parent == null) {
        throw new JspTagException("nesting error");
      } else {
        System.out.println("ReSetting separator: " + body.getString());
        parent.setCellSeparator(body.getString());
      }
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }
    return SKIP_BODY;
  }
}