package sequoia.tags;

import sequoia.PeonFactory;
import sequoia.Peon;

public class QueryTag extends javax.servlet.jsp.tagext.TagSupport {
  protected String query;

  public void setQuery(String query) {
    this.query = query;
  }

  public int doStartTag() {
    try {
      pageContext.getOut().println("Executing query");
      PeonFactory pf = new PeonFactory("sequoia.PooledConnectionFactory");
      Peon peon = pf.newPeon();
      boolean result = peon.executeQuery(query);
      pageContext.setAttribute("peon", peon);
      pageContext.setAttribute("resultType", new Boolean(result));

    } catch (Exception e) {
      e.printStackTrace(System.err);
    }
    return SKIP_BODY;
  }

  public int doEndTag() {
    try {

    } catch(Exception e) {
      e.printStackTrace(System.err);
    }
    return(EVAL_PAGE); // Continue with rest of JSP page
  }
}