package sequoia.tags;

import sequoia.PeonFactory;
import sequoia.Peon;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;

import javax.servlet.jsp.JspWriter;
import java.io.Writer;

import javax.servlet.jsp.tagext.BodyContent;

public class ResultSetTag extends javax.servlet.jsp.tagext.BodyTagSupport {
  public int doStartTag() {
    try {
      boolean result = ((Boolean)pageContext.getAttribute("resultType")).booleanValue();
      Peon peon = ((Peon)pageContext.getAttribute("peon"));
      JspWriter out = pageContext.getOut();
      if(result) {
        ResultSet rs = peon.getLastResultSet();
        pageContext.setAttribute("resultset", rs);
        printAsHTMLTable(rs, out);
      }
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }
    return EVAL_BODY_INCLUDE;
  }

  public int doAfterBody() {
    try {
      BodyContent body = getBodyContent();
      JspWriter out = body.getEnclosingWriter();
      out.println("<HR>");
      out.println(body.getString());
      out.println("</HR>");
    } catch (Exception e) {
    }
    return SKIP_BODY;
  }

  /**
   * Writes <code>ResultSet</code> as HTML table into specified
   * <code>Writer</code>
   */
  public static void printAsHTMLTable(ResultSet rs, Writer out) throws SQLException, java.io.IOException {
    /*
    ResultSetMetaData rsmd = rs.getMetaData();
    while(rs.next()) {
      out.write("  <tr class='datarow'>");
      for(int i = 0; i < rsmd.getColumnCount(); i++) {
        String cellValue = rs.getString(i+1);
        cellValue = (cellValue == null) ? "" : cellValue;
        cellValue = cellValue.equals("") ? "&nbsp;" : cellValue;
        out.write("    <td>" + cellValue + "</td>");
      }
      out.write("  </tr>\n");
    }
    out.write("</table>\n");
    */
  }


}