package sequoia.test;

import java.io.PrintWriter;

import sequoia.PeonFactory;
import sequoia.Peon;

import javax.servlet.*;
import javax.servlet.http.*;

import java.sql.ResultSet;

public class SimpleQueryServlet extends HttpServlet {

  protected void doGet(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, java.io.IOException {

    try {
      PrintWriter out = resp.getWriter();

      PeonFactory pf = new PeonFactory("sequoia.PooledConnectionFactory");
      Peon peon = pf.newPeon();
      boolean result = peon.executeQuery("SELECT * FROM syscat.tables");
      if(result) {
        ResultSet rs = peon.getLastResultSet();
        if(rs.next()) {
          out.println(rs.getString(1));
        }
      }
    } catch (Exception e) {
      e.printStackTrace(System.err);
    }

  }

  protected void doPost(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, java.io.IOException {

  }
}